# EuropeanHealthInsuranceCardConfiguration class

European Health Insurance Card (EHIC) configuration element. Add to extractor configuration to scan EHICs.

Inheritance
  - Object
  - DocumentDataExtractorConfigurationElement
  - EuropeanHealthInsuranceCardConfiguration

## Constructors

EuropeanHealthInsuranceCardConfiguration.new({EuropeanHealthInsuranceCardIssuingCountry? expectedCountry = null})
EuropeanHealthInsuranceCardConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

expectedCountry ↔ EuropeanHealthInsuranceCardIssuingCountry?
  If an expected country is selected, validation rules for the given country are used, and if the expected country cannot be inferred or the inferred country doesn't match the given country, the result of extract() will be IncompleteValidation.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited